Bug 480039 - oops on starting X
oops on starting X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://www.kerneloops.org/search.php?...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 12:24 EST by Samuel Sieb
Modified: 2009-12-18 02:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:36:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Sieb 2009-01-14 12:24:59 EST
Sometimes when I log into X, I get a message from kerneloops.  X appears to be fine.  I will see if I can figure out exactly how to cause it.

Excerpts from the messages log (just the drm messages and oops):

Jan 11 22:31:37 kids1 kernel: [drm] Num pipes: 1
Jan 11 22:31:38 kids1 kernel: [drm] Setting GART location based on new memory map
Jan 11 22:31:38 kids1 kernel: [drm] Loading RS690/RS740 Microcode
Jan 11 22:31:38 kids1 kernel: [drm] Num pipes: 1
Jan 11 22:31:38 kids1 kernel: [drm] writeback test succeeded in 1 usecs

Jan 12 14:32:19 kids1 kernel: [drm] Num pipes: 1
Jan 12 14:32:21 kids1 kernel: [drm] Setting GART location based on new memory map
Jan 12 14:32:21 kids1 kernel: [drm] Loading RS690/RS740 Microcode
Jan 12 14:32:21 kids1 kernel: [drm] Num pipes: 1
Jan 12 14:32:21 kids1 kernel: [drm] writeback test succeeded in 1 usecs

Jan 12 16:12:16 kids1 kernel: [drm] Num pipes: 1

Jan 12 19:08:41 kids1 kernel: [drm:radeon_set_igpgart] *ERROR* Unable to use IGP GART table size 32768
Jan 12 19:08:41 kids1 kernel: [drm] Loading RS690/RS740 Microcode
Jan 12 19:08:41 kids1 kernel: BUG: unable to handle kernel NULL pointer dereference at 00000000
Jan 12 19:08:41 kids1 kernel: IP: [<f88dec25>] :radeon:radeon_cp_init_ring_buffer+0x90/0x302
Jan 12 19:08:41 kids1 kernel: *pde = 6f5c6067 
Jan 12 19:08:41 kids1 kernel: Oops: 0000 [#1] SMP 
Jan 12 19:08:41 kids1 kernel: Modules linked in: r8169 mii fuse nfsd lockd nfs_acl auth_rpcgss exportfs bridge stp bnep sco l
2cap bluetooth autofs4 it87 hwmon_vid sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand p
owernow_k8 dm_multipath kvm_amd kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device 
ata_generic snd_pcm_oss pata_acpi snd_mixer_oss snd_pcm ppdev snd_timer i2c_piix4 snd_page_alloc k8temp snd_hwdep hwmon pcspk
r snd pata_atiixp parport_pc parport soundcore radeon drm i2c_algo_bit i2c_core [last unloaded: mii]
Jan 12 19:08:41 kids1 kernel:
Jan 12 19:08:41 kids1 kernel: Pid: 8003, comm: Xorg Not tainted (2.6.27.9-159.fc10.i686 #1)
Jan 12 19:08:41 kids1 kernel: EIP: 0060:[<f88dec25>] EFLAGS: 00213246 CPU: 1
Jan 12 19:08:41 kids1 kernel: EIP is at radeon_cp_init_ring_buffer+0x90/0x302 [radeon]
Jan 12 19:08:41 kids1 kernel: EAX: 00000000 EBX: f78b4000 ECX: f78b4000 EDX: 00000000
Jan 12 19:08:41 kids1 kernel: ESI: f5dbe800 EDI: 00006458 EBP: f0a0cf18 ESP: f0a0cf08
Jan 12 19:08:41 kids1 kernel: DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Jan 12 19:08:41 kids1 kernel: Process Xorg (pid: 8003, ti=f0a0c000 task=f2380000 task.ti=f0a0c000)
Jan 12 19:08:41 kids1 kernel: Stack: f0a0cf18 f78b4000 f5dbe800 00006458 f0a0cf28 f88e11c7 f8911a24 00000000 
Jan 12 19:08:41 kids1 kernel:       f0a0cf4c f88745f8 f30c3ba0 f5dbe800 f88e114a f5dbe828 f890fd78 f097ac00 
Jan 12 19:08:41 kids1 kernel:       00000000 f0a0cf68 c049b1c0 00000000 00006458 f097ac00 f097ac00 00000000 
Jan 12 19:08:41 kids1 kernel: Call Trace:
Jan 12 19:08:41 kids1 kernel: [<f88e11c7>] ? radeon_cp_resume+0x7d/0xbc [radeon]
Jan 12 19:08:41 kids1 kernel: [<f88745f8>] ? drm_ioctl+0x1b0/0x225 [drm]
Jan 12 19:08:41 kids1 kernel: [<f88e114a>] ? radeon_cp_resume+0x0/0xbc [radeon]
Jan 12 19:08:41 kids1 kernel: [<c049b1c0>] ? vfs_ioctl+0x50/0x69
Jan 12 19:08:41 kids1 kernel: [<c049b414>] ? do_vfs_ioctl+0x23b/0x247
Jan 12 19:08:41 kids1 kernel: [<c0460a56>] ? audit_syscall_entry+0xf9/0x123
Jan 12 19:08:41 kids1 kernel: [<c049b460>] ? sys_ioctl+0x40/0x5c
Jan 12 19:08:41 kids1 kernel: [<c0403c76>] ? syscall_call+0x7/0xb
Jan 12 19:08:41 kids1 kernel: =======================
Jan 12 19:08:41 kids1 kernel: Code: 66 31 d2 09 c2 89 d8 e8 fc e7 ff ff 8b 83 cc 00 00 00 8b 53 34 03 10 8b 86 70 02 00 00 2b
 50 44 eb 14 8b 83 cc 00 00 00 8b 53 34 <03> 10 8b 86 80 02 00 00 2b 50 04 8b 83 74 03 00 00 8b 40 10 05 
Jan 12 19:08:41 kids1 kernel: EIP: [<f88dec25>] radeon_cp_init_ring_buffer+0x90/0x302 [radeon] SS:ESP 0068:f0a0cf08
Jan 12 19:08:41 kids1 kernel: ---[ end trace 81e3cf9431f7af0c ]---
Comment 1 Bug Zapper 2009-11-18 05:45:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:36:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.